###########################################################################################################
###	Documentation:											
###	https://www.kernel.org/doc/Documentation/kbuild/kconfig-language.txt				
###########################################################################################################



menu "HMI(Human Machine Interface) Module configuration"

	config USE_HMI
		bool "Enable HMI Module"
		default y
		
################## Button Configuration

	source "$PWD/../platform/core/hmi/button/Kconfig"
	
################## LED Configuration

	source "$PWD/../platform/core/hmi/led/Kconfig"
	
	config HAVE_SYSTEM_HMI
		bool 
		prompt "Enable System HMI"
		default "y"
		depends on USE_LED && USE_BUTTON
		
	choice HMI_STARTUP_NOTIFICATION
		bool "Select System StartUP Notification"
		default HAVE_HMI_RGBLED_IN_STARTUP
		depends on HAVE_SYSTEM_HMI
		
		config HAVE_HMI_MONOLED_IN_STARTUP
			bool 
			prompt "Enable HMI Mono-colour LED Startup"
			#default "n"
			#depends on HAVE_SYSTEM_HMI
			
		config HAVE_HMI_RGBLED_IN_STARTUP
			bool 
			prompt "Enable HMI RGB-colour LED Startup"
			#default "n"
			#depends on HAVE_SYSTEM_HMI
			
		config HAVE_HMI_LCD_IN_STARTUP
			bool 
			prompt "Enable HMI LCD Startup"
			#default "n"
			#depends on HAVE_SYSTEM_HMI
		
		config HAVE_HMI_BICOLORLED_IN_STARTUP
			bool 
			prompt "Enable HMI Bi-colour LED Startup"
			#default "n"
			#depends on HAVE_SYSTEM_HMI
		
	endchoice
		
################## CLCD Configuration
	
	source "$PWD/../platform/core/hmi/clcd/Kconfig"

endmenu